diff -ru DateTime-0.36/lib/DateTime.pm /home/schwern/.cpan/build/DateTime-0.36/lib/DateTime.pm
--- DateTime-0.36/lib/DateTime.pm	2007-01-13 18:30:15.000000000 -0500
+++ /home/schwern/.cpan/build/DateTime-0.36/lib/DateTime.pm	2007-02-22 20:01:58.000000000 -0500
@@ -74,9 +74,10 @@
 
 use constant MAX_NANOSECONDS => 1_000_000_000;  # 1E9 = almost 32 bits
 
-use constant INFINITY     =>       100 ** 1000;
-use constant NEG_INFINITY => -1 * (100 ** 1000);
-use constant NAN          => INFINITY - INFINITY;
+# We want the exact string used by Perl.
+use constant INFINITY     => 'Infinity' - 1;
+use constant NEG_INFINITY => -1 * INFINITY;
+use constant NAN          => "NaN" - 1;
 
 use constant SECONDS_PER_DAY => 86400;
 
Only in /home/schwern/.cpan/build/DateTime-0.36/lib: DateTime.pm~
Only in /home/schwern/.cpan/build/DateTime-0.36/: perl_V
diff -ru DateTime-0.36/t/07compare.t /home/schwern/.cpan/build/DateTime-0.36/t/07compare.t
--- DateTime-0.36/t/07compare.t	2007-01-13 18:29:30.000000000 -0500
+++ /home/schwern/.cpan/build/DateTime-0.36/t/07compare.t	2007-02-22 19:56:58.000000000 -0500
@@ -81,7 +81,7 @@
 ok($date1->compare($date2) == 1, 'Comparison $a > $b, 1 year diff');
 
 
-my $infinity = 100 ** 1000;
+my $infinity = DateTime::INFINITY;
 
 ok($date1->compare($infinity) == -1, 'Comparison $a < inf');
 
Only in /home/schwern/.cpan/build/DateTime-0.36/t: 07compare.t~
diff -ru DateTime-0.36/t/20infinite.t /home/schwern/.cpan/build/DateTime-0.36/t/20infinite.t
--- DateTime-0.36/t/20infinite.t	2007-01-13 18:29:42.000000000 -0500
+++ /home/schwern/.cpan/build/DateTime-0.36/t/20infinite.t	2007-02-22 19:58:31.000000000 -0500
@@ -8,11 +8,11 @@
 
 my $pos = DateTime::Infinite::Future->new;
 my $neg = DateTime::Infinite::Past->new;
-my $posinf = 100 ** 1000;
-my $neginf = -1 * $posinf;
+my $posinf = DateTime::INFINITY;
+my $neginf = DateTime::NEG_INFINITY;
 # used to use abs() which broke some Win32 platforms but may have
 # fixed others - will wait for bug reports
-my $nan_string = ($posinf - $posinf) . '';
+my $nan_string = DateTime::NAN;
 
 # infinite date math
 {
Only in /home/schwern/.cpan/build/DateTime-0.36/t: 20infinite.t~
Only in /home/schwern/.cpan/build/DateTime-0.36/: test.out
